<?php
session_start();
error_reporting(E_ERROR | E_PARSE);
date_default_timezone_set('Europe/Berlin');
require_once("captcha/AntiSpam.php");
$q = AntiSpam::getRandomQuestion();
header('Content-type: text/html; charset=utf-8');


#########################################################################
#	Kontaktformular.com         					                                #
#	http://www.kontaktformular.com        						                    #
#	All rights by KnotheMedia.de                                    			#
#-----------------------------------------------------------------------#
#	I-Net: http://www.knothemedia.de                            					#
#########################################################################
// Der Copyrighthinweis darf NICHT entfernt werden!


  $script_root = substr(__FILE__, 0,
                        strrpos(__FILE__,
                                DIRECTORY_SEPARATOR)
                       ).DIRECTORY_SEPARATOR;

$remote = getenv("REMOTE_ADDR");

function encrypt($string, $key) {
	$result = '';
	for($i=0; $i<strlen($string); $i++) {
	   $char = substr($string, $i, 1);
	   $keychar = substr($key, ($i % strlen($key))-1, 1);
	   $char = chr(ord($char)+ord($keychar));
	   $result.=$char;
	}
	return base64_encode($result);
}

@require('config.php');
require_once("captcha/AntiSpam.php");
include("PHPMailer/Secureimage.php");



// form-data should be deleted
if (isset($_POST['delete']) && $_POST['delete']){
	unset($_POST);
}

$success = false;

$formMessage = '';
$buttonClass = '';



// form has been sent
$isFormSubmit = mb_strtoupper($_SERVER['REQUEST_METHOD']) === 'POST';
if ($isFormSubmit) {



	// clean data
	$anrede		= stripslashes($_POST["anrede"]);
	$titel      = $_POST["titel"];
	$vorname   	= stripslashes($_POST["vorname"]);
	$name      	= stripslashes($_POST["name"]);
	$telefon   	= $_POST["telefon"];
	$str   	= $_POST["str"];
	$nr   	= $_POST["nr"];
$country   	= $_POST["country"];
$city   	= $_POST["city"];
$postal_zip_code   	= $_POST["postal_zip_code"];
	$email      = stripslashes($_POST["email"]);
	$betreff   	= stripslashes($_POST["betreff"]);
	$nachricht  = stripslashes($_POST["nachricht"]);
	if($cfg['Datenschutz_Erklaerung']) { $datenschutz = stripslashes($_POST["datenschutz"]); }
	if($cfg['Sicherheitscode']){
		$sicherheits_eingabe = encrypt($_POST["sicherheitscode"], "8h384ls94");
		$sicherheits_eingabe = str_replace("=", "", $sicherheits_eingabe);
	}

	$date = date("d.m.Y | H:i");
	$ip = $_SERVER['REMOTE_ADDR'];
	$UserAgent = $_SERVER["HTTP_USER_AGENT"];
	$host = getHostByAddr($remote);


	// formcheck
	if(isset($anrede) && $anrede == "") {
		$fehler['anrede'] = "<span class='errormsg'>Bitte wählen Sie eine <strong>Anrede</strong> aus.</span>";
	}
	
	if(!$vorname) {
		$fehler['vorname'] = "<span class='errormsg'>Geben Sie bitte Ihren <strong>Vornamen</strong> ein.</span>";
	}
	
	if(!$name) {
		$fehler['name'] = "<span class='errormsg'>Geben Sie bitte Ihren <strong>Nachnamen</strong> ein.</span>";
	}
	
	if (!preg_match("/^[0-9a-zA-ZÄÜÖ_.-]+@[0-9a-z.-]+\.[a-z]{2,6}$/", $email)) {
		$fehler['email'] = "<span class='errormsg'>Geben Sie bitte Ihre <strong>E-Mail-Adresse</strong> ein.</span>";
	}
	
	if(!$betreff) {
		$fehler['betreff'] = "<span class='errormsg'>Geben Sie bitte einen <strong>Betreff</strong> ein.</span>";
	}
	
	if(!$nachricht) {
		$fehler['nachricht'] = "<span class='errormsg'>Geben Sie bitte eine <strong>Nachricht</strong> ein.</span>";
	}
	
	
	
// -------------------- SPAMPROTECTION ERROR MESSAGES START ----------------------
	if($cfg['Sicherheitscode'] && $sicherheits_eingabe != $_SESSION['captcha_spam']){
		unset($_SESSION['captcha_spam']);
		$fehler['captcha'] = "<span class='errormsg'>Der <strong>Sicherheitscode</strong> wurde falsch eingegeben.</span>";
	} 
		
  if($cfg["Sicherheitsfrage"]){
	$answer = AntiSpam::getAnswerById(intval($_POST["q_id"]));
	if(isset($_POST["q"]) && $_POST["q"] != $answer){
		$fehler['q_id12'] = "<span class='errormsg'>Bitte die <strong>Sicherheitsfrage</strong> richtig beantworten.</span>";
	}
  }

	if($cfg['Honeypot'] && (!isset($_POST["mail"]) || ''!=$_POST["mail"])){
		$fehler['Honeypot'] = "<span class='errormsg-spamprotection' style='display: block;'>Es besteht Spamverdacht. Bitte überprüfen Sie Ihre Angaben.</span>";
	}
	
	if($cfg['Zeitsperre'] && (!isset($_POST["chkspmtm"]) || ''==$_POST["chkspmtm"] || '0'==$_POST["chkspmtm"] || (time() - (int) $_POST["chkspmtm"]) < (int) $cfg['Zeitsperre'])){
		$fehler['Zeitsperre'] = "<span class='errormsg-spamprotection' style='display: block;'>Bitte warten Sie einige Sekunden, bevor Sie das Formular erneut absenden.</span>";
	}
	
	if($cfg['Klick-Check'] && (!isset($_POST["chkspmkc"]) || 'chkspmhm'!=$_POST["chkspmkc"])){
		$fehler['Klick-Check'] = "<span class='errormsg-spamprotection' style='display: block;'>Sie müssen den Senden-Button mit der Maus anklicken, um das Formular senden zu können.</span>";
	}
	
	if($cfg['Links'] < preg_match_all('#http(s?)\:\/\/#is', $nachricht, $irrelevantMatches)){
		$fehler['Links'] = "<span class='errormsg-spamprotection' style='display: block;'>Ihre Nachricht darf ".(0==$cfg['Links'] ? 
																																'keine Links' : 
																																(1==$cfg['Links'] ? 
																																	'nur einen Link' : 
																																	'maximal '.$cfg['Links'].' Links'
																																)
																															)." enthalten.</span>";
	}
	
	if(''!=$cfg['Badwordfilter'] && 0!==$cfg['Badwordfilter'] && '0'!=$cfg['Badwordfilter']){
		$badwords = explode(',', $cfg['Badwordfilter']);			// the configured badwords
		$badwordFields = explode(',', $cfg['Badwordfields']);		// the configured fields to check for badwords
		$badwordMatches = array();									// the badwords that have been found in the fields
		
		if(0<count($badwordFields)){
			foreach($badwords as $badword){
				$badword = trim($badword);												// remove whitespaces from badword
				$badwordMatch = str_replace('%', '', $badword);							// take human readable badword for error-message
				$badword = addcslashes($badword, '.:/');								// make ., : and / preg_match-valid
				if('%'!=substr($badword, 0, 1)){ $badword = '\\b'.$badword; }			// if word mustn't have chars before > add word boundary at the beginning of the word
				if('%'!=substr($badword, -1, 1)){ $badword = $badword.'\\b'; }			// if word mustn't have chars after > add word boundary at the end of the word
				$badword = str_replace('%', '', $badword);								// if word is allowed in the middle > remove all % so it is also allowed in the middle in preg_match 
				foreach($badwordFields as $badwordField){
					if(preg_match('#'.$badword.'#is', $_POST[trim($badwordField)]) && !in_array($badwordMatch, $badwordMatches)){
						$badwordMatches[] = $badwordMatch;
					}
				}
			}		
			
			if(0<count($badwordMatches)){
				$fehler['Badwordfilter'] = "<span class='errormsg-spamprotection' style='display: block;'>Folgende Begriffe sind nicht erlaubt: ".implode(', ', $badwordMatches)."</span>";
			}
		}		
	}
	
  // -------------------- SPAMPROTECTION ERROR MESSAGES ENDE ----------------------
  
  
  
if($cfg['Datenschutz_Erklaerung'] && isset($datenschutz) && $datenschutz == ""){ 
		$fehler['datenschutz'] = "<span class='errormsg'>Sie müssen die <strong>Datenschutz&shy;erklärung</strong> akzeptieren.</span>";
	}

    $buttonClass = 'failed';
    $formMessage = '<img src="img/failed.png" style="width:25px;height:25px;vertical-align: middle;margin-bottom:4px;"> Bitte überprüfen und korrigieren Sie Ihre Eingaben.';


	// there are NO errors > upload-check
    if (!isset($fehler) || count($fehler) == 0) {
      $error             = false;
      $errorMessage      = '';
      $uploadErrors      = array();
      $uploadedFiles     = array();
      $totalUploadSize   = 0;
	  $j = 0;       
        
	  if (2==$cfg['UPLOAD_ACTIVE'] && in_array($_SERVER['REMOTE_ADDR'], $cfg['BLACKLIST_IP']) === true) {
          $error = true;
		  $uploadErrors[$j]['name'] = '';
          $uploadErrors[$j]['error'] = "Sie haben keine Erlaubnis Dateien hochzuladen.";
          $j++;
      }

      

      if (!$error) {
          for ($i=0; $i < $cfg['NUM_ATTACHMENT_FIELDS']; $i++) {
              if ($_FILES['f']['error'][$i] == UPLOAD_ERR_NO_FILE) {
                  continue;
              }

              $extension = explode('.', $_FILES['f']['name'][$i]);
              $extension = strtolower($extension[count($extension)-1]);
              $totalUploadSize += $_FILES['f']['size'][$i];

              if ($_FILES['f']['error'][$i] != UPLOAD_ERR_OK) {
                  $uploadErrors[$j]['name'] = $_FILES['f']['name'][$i];
                  switch ($_FILES['f']['error'][$i]) {
                      case UPLOAD_ERR_INI_SIZE :
                          $uploadErrors[$j]['error'] = 'Die Datei ist zu groß (PHP-Ini Direktive).';
                      break;
                      case UPLOAD_ERR_FORM_SIZE :
                          $uploadErrors[$j]['error'] = 'Die Datei ist zu groß (MAX_FILE_SIZE in HTML-Formular).';
                      break;
                      case UPLOAD_ERR_PARTIAL :
						  if (2==$cfg['UPLOAD_ACTIVE']) {
                          	  $uploadErrors[$j]['error'] = 'Die Datei wurde nur teilweise hochgeladen.';
						  } else {
							  $uploadErrors[$j]['error'] = 'Die Datei wurde nur teilweise versendet.';
					  	  }
                      break;
                      case UPLOAD_ERR_NO_TMP_DIR :
                          $uploadErrors[$j]['error'] = 'Es wurde kein temporärer Ordner gefunden.';
                      break;
                      case UPLOAD_ERR_CANT_WRITE :
                          $uploadErrors[$j]['error'] = 'Fehler beim Speichern der Datei.';
                      break;
                      case UPLOAD_ERR_EXTENSION  :
                          $uploadErrors[$j]['error'] = 'Unbekannter Fehler durch eine Erweiterung.';
                      break;
                      default :
						  if (2==$cfg['UPLOAD_ACTIVE']) {
                          	  $uploadErrors[$j]['error'] = 'Unbekannter Fehler beim Hochladen.';
						  } else {
							  $uploadErrors[$j]['error'] = 'Unbekannter Fehler beim Versenden des Email-Attachments.';
						  }
                  }

                  $j++;
                  $error = true;
              }
              if ($totalUploadSize > $cfg['MAX_ATTACHMENT_SIZE']*1024) {
                  $uploadErrors[$j]['name'] = $_FILES['f']['name'][$i];
                  $uploadErrors[$j]['error'] = 'Maximaler Upload erreicht ('.$cfg['MAX_ATTACHMENT_SIZE'].' KB).';
                  $j++;
                  $error = true;
              }
              if ($_FILES['f']['size'][$i] > $cfg['MAX_FILE_SIZE']*1024) {
                  $uploadErrors[$j]['name'] = $_FILES['f']['name'][$i];
                  $uploadErrors[$j]['error'] = 'Die Datei ist zu groß (max. '.$cfg['MAX_FILE_SIZE'].' KB).';
                  $j++;
                  $error = true;
              }
              if (!empty($cfg['WHITELIST_EXT']) && strpos($cfg['WHITELIST_EXT'], $extension) === false) {
                  $uploadErrors[$j]['name'] = $_FILES['f']['name'][$i];
                  $uploadErrors[$j]['error'] = 'Die Dateiendung ist nicht erlaubt.';
                  $j++;
                  $error = true;
              }
              if (preg_match("=^[\\:*?<>|/]+$=", $_FILES['f']['name'][$i])) {
                  $uploadErrors[$j]['name'] = $_FILES['f']['name'][$i];
                  $uploadErrors[$j]['error'] = 'Ungültige Zeichen im Dateinamen (\/:*?<>|).';
                  $j++;
                  $error = true;
              }
              if (2==$cfg['UPLOAD_ACTIVE'] && file_exists($cfg['UPLOAD_FOLDER'].'/'.$_FILES['f']['name'][$i])) {
                  $uploadErrors[$j]['name'] = $_FILES['f']['name'][$i];
                 
$uploadErrors[$j]['error'] = 'Die Datei existiert bereits. Bitte benennen Sie die Datei um.';
                  $j++;
                  $error = true;
              }
              if(!$error) {
				  if (2==$cfg['UPLOAD_ACTIVE']) {
                     move_uploaded_file($_FILES['f']['tmp_name'][$i], $cfg['UPLOAD_FOLDER'].'/'.$_FILES['f']['name'][$i]);
				  }
                  $uploadedFiles[$_FILES['f']['tmp_name'][$i]] = $_FILES['f']['name'][$i];
              }
          }
      }
      
      
      if ($error) {
          $errorMessage = ''."";
          if (count($uploadErrors) > 0) {
              $tmp = '';
			  foreach ($uploadErrors as $err) {
                  $tmp .= '<strong>'.$err['name']."</strong><br/>\n- ".$err['error']."<br/><br/>\n";
              }
              $tmp = "<br/>".$tmp;
          }
          $errorMessage .= $tmp.'';
          $fehler['upload'] = "<span class='errormsg-upload' style='display: block;'>".$errorMessage."</span>";
      }
	}


$buttonClass = 'failed';


	// there are NO errors > send mail
   if (!isset($fehler))   {
   
   
		// ------------------------------------------------------------
		// -------------------- send mail to admin --------------------
		// ------------------------------------------------------------

		// ---- create mail-message for admin
	  $mailcontent  = "Folgendes wurde am ". $date ." Uhr per Formular geschickt:\n" . "-------------------------------------------------------------------------\n\n";
		$mailcontent .= "Name: " . $anrede . " " . $titel . "" . $vorname . " " . $name . "\n\n";
		$mailcontent .= "E-Mail: " . $email . "\n";
		$mailcontent .= "Telefon: " . $telefon . "\n\n";		
		$mailcontent .= "Straße / Nr.: " . $str . " " . $nr . "\n";
$mailcontent .= "PLZ / Ort: " . $postal_zip_code . " " . $city . "\n";
$mailcontent .= "Land: " . $country . " \n";

		$mailcontent .= "\nBetreff: " . $betreff . "\n";
		$mailcontent .= "Nachricht:\n" . $nachricht = preg_replace("/\r\r|\r\n|\n\r|\n\n/","\n",$nachricht) . "\n\n";
		if(count($uploadedFiles) > 0){
			if(2==$cfg['UPLOAD_ACTIVE']){
				$mailcontent .= "\n\n";
				$mailcontent .= 'Es wurden folgende Dateien hochgeladen:'."\n";
				foreach ($uploadedFiles as $filename) {
					$mailcontent .= ' - '.$cfg['DOWNLOAD_URL'].'/'.$cfg['UPLOAD_FOLDER'].'/'.$filename."\n";
				}
			} else {
				$mailcontent .= "\n\n";
				$mailcontent .= 'Es wurden folgende Dateien übertragen:'."\n";
				foreach ($uploadedFiles as $filename) {
					$mailcontent .= ' - '.$filename."\n";
				}
			}
		}
		if($cfg['Datenschutz_Erklaerung']) { $mailcontent .= "\n\nDatenschutz: " . $datenschutz . " \n"; }
    $mailcontent .= "\n\nIP Adresse: " . $ip . "\n";
		$mailcontent = strip_tags ($mailcontent);

		// ---- get attachments for admin
		$attachments = array();
		if(1==$cfg['UPLOAD_ACTIVE'] && count($uploadedFiles) > 0){
			foreach($uploadedFiles as $tempFilename => $filename) {
				$attachments[$filename] = file_get_contents($tempFilename);
			}
		}

		$success = false;

        // ---- send mail to admin
        if($smtp['enabled'] !== 0) {
            require_once __DIR__ . '/smtp.php';
            $success = SMTP::send(
                $smtp['host'],
                $smtp['user'],
                $smtp['password'],
                $smtp['encryption'],
                $smtp['port'],
                $email,
                $ihrname,
                $empfaenger,
                $betreff,
                $mailcontent,
                (2==$cfg['UPLOAD_ACTIVE'] ? array() : $uploadedFiles),
                $cfg['UPLOAD_FOLDER'],
                $smtp['debug']
            );
        } else {
            $success = sendMyMail($email, $vorname." ".$name, $empfaenger, $betreff, $mailcontent, $attachments);
        }

    	// ------------------------------------------------------------
    	// ------------------- send mail to customer ------------------
    	// ------------------------------------------------------------
    	if(
			$success && 
			(
				2==$cfg['Kopie_senden'] || 																// send copy always
				(1==$cfg['Kopie_senden'] && isset($_POST['mail-copy']) && 1==$_POST['mail-copy'])		// send copy only if customer want to
			)
		){

    		// ---- create mail-message for customer
			$mailcontent  = "Vielen Dank für Ihre E-Mail. Wir werden schnellstmöglich darauf antworten.\n\n";
    		$mailcontent .= "Zusammenfassung: \n" .  "-------------------------------------------------------------------------\n\n";
    		$mailcontent .= "Name: " . $anrede . " " . $titel . "" . $vorname . " " . $name . "\n\n";
    		$mailcontent .= "E-Mail: " . $email . "\n";
    		$mailcontent .= "Telefon: " . $telefon . "\n\n";		
		    $mailcontent .= "Straße / Nr.: " . $str . " " . $nr . "\n";
$mailcontent .= "PLZ / Ort: " . $postal_zip_code . " " . $city . "\n";
$mailcontent .= "Land: " . $country . " \n";

    		$mailcontent .= "\nBetreff: " . $betreff . "\n";
    		$mailcontent .= "Nachricht:\n" . str_replace("\r", "", $nachricht) . "\n\n";
    		if(count($uploadedFiles) > 0){
    			$mailcontent .= 'Sie haben folgende Dateien übertragen:'."\n";
    			foreach($uploadedFiles as $file){
    				$mailcontent .= ' - '.$file."\n";
    			}
    		}
    		$mailcontent = strip_tags ($mailcontent);

    		// ---- send mail to customer
            if($smtp['enabled'] !== 0) {
                SMTP::send(
                    $smtp['host'],
                    $smtp['user'],
                    $smtp['password'],
                    $smtp['encryption'],
                    $smtp['port'],
                    $empfaenger,
                    $ihrname,
                    $email,
                    "Ihre Anfrage",
                    $mailcontent,
                    array(),
                    $cfg['UPLOAD_FOLDER'],
                    $smtp['debug']
                );
            } else {
                $success = sendMyMail($empfaenger, $ihrname, $email, "Ihre Anfrage", $mailcontent);
            }
}
            
// redirect to success-page	   
        
		if ($success) {
            if ($cfg['Erfolgsmeldung'] === 0) {
                if ($smtp['enabled'] === 0 || $smtp['debug'] === 0) {
                    	echo "<META HTTP-EQUIV=\"refresh\" content=\"0;URL=" . $danke . "\">";
                }
                exit;
            }
            
        } else {
            
          $fehler['Sendmail'] = "<span class='errormsg-emailerror' style='display: block;line-height:25px;font-size:16px;'><span style='text-decoration:underline;font-weight:bold;font-size:16px;color:red;'>Die Nachricht konnte aus einem der folgenden Gründe nicht versandt werden:</span><br /><ol style='text-align: left;line-height:25px;color:black;font-weight:normal;'>
  
  <br />
  <li>Hosteurope, Strato und IONOS (1und1) Kunden:</style> <a  style=\"color: blue; text-decoration: none;\" target=\"blank\" href=\"https://www.kontaktformular.com/webhoster-hosteurope.html\">Bitte beachten Sie diese Informationen.</a> (<span style=font-weight:bold;>&#8592; Eventuell sind die Infos auch für weitere Hosting Provider relevant!</span>)<br/><br/><b>Wichtig:</b> Löschen Sie den Cache und die Cookies (bzw. Websitedaten) in Ihrem Browser, nachdem Sie Änderungen vorgenommen haben. Ansonsten kann es sein, dass diese Meldung weiterhin erscheint. Nutzen Sie ggf. einen alternativen Browser, um die Funktionsfähigkeit des Kontaktformulars festzustellen.</li><br />
  
  
  <li>Die verwendete E-Mail Adresse (siehe config.php) muss ggf. bei Ihrem Hosting Provider verifiziert werden. Bitte wenden Sie sich an Ihren Hosting Provider.<br /><br /><b>Hinweis:</b> Leider verbieten einige Hosting Provider (z.B. Hosteurope, IONOS) die Nutzung einer Domain-fremden E-Mail Adresse. (z.B. von Freemail Anbietern) Wir empfehlen Ihnen daher eine Domain-eigene E-Mail Adresse in der Form info@ihre-domain.com zu nutzen.<br/><br/><b>Wichtig:</b> Löschen Sie den Cache und die Cookies (bzw. Websitedaten) in Ihrem Browser, nachdem Sie die verifizierte E-Mail Adresse in die Datei config.php eingetragen haben. Ansonsten kann es sein, dass diese Meldung weiterhin erscheint. Nutzen Sie ggf. einen alternativen Browser, um die Funktionsfähigkeit des Kontaktformulars festzustellen.</li><br />
    
  
<li>Sie betreiben einen lokalen Webserver (http://localhost): Testen Sie das Kontaktformular grundsätzlich auf dem Webserver eines renommierten Hosting Anbieters. Die PHP Funktion mail() kann auf einem lokalen Webserver in der Regel nur eingeschränkt genutzt werden.</li><br />
  
  
  <li>Sie haben SMTP in der Datei config.php aktiviert und falsche SMTP Daten eingegeben. Bitte wenden Sie sich an Ihren Hosting Provider.<br /><br /><span style=\"text-decoration:underline;\">Hinweis:</span> Das Aktivieren der SMTP Funktion ist für den E-Mail Versand nicht zwingend erforderlich, da grundsätzlich die PHP Funktion mail() verwendet wird.</li><br />
  
  
  <li>Sie haben SMTP in der Datei config.php aktiviert und möchten eine Verbindung zu einem externen Mailserver (z.B. Gmail, GMX, WEB.DE, Yahoo, T-Online) herstellen. Hierfür muss ggf. eine Portfreischaltung bei Ihrem Hosting Provider beantragt werden. Bitte wenden Sie sich an Ihren Hosting Provider.<br /><br /><span style=\"text-decoration:underline;\">Hinweis:</span> Das Aktivieren der SMTP Funktion ist für den E-Mail Versand nicht zwingend erforderlich, da grundsätzlich die PHP Funktion mail() verwendet wird.</li><br />
   
   
   <li><a  style=\"color: blue; text-decoration: none;\" target=\"blank\" href=\"https://www.kontaktformular.com/faq-script-php-kontakt-formular.html#keine-mail-erhalten\">Weitere Informationen erhalten Sie auf unserer FAQ Seite. </a></li>
</ol>";
		}
		
		if (!empty($fehler['Sendmail'])) {
    $buttonClass = '<span style=display:none;>failed</span>';
    $formMessage = '<span style=display:none;>Ihre Nachricht wurde NICHT gesendet.</span>';
}

else {

    $buttonClass = 'finished';
    $formMessage = '<img src="img/finished.png" style="width:29px;height:29px;vertical-align: middle;margin-bottom:4px;"> <span class="successfully_sent">Ihre Nachricht wurde gesendet.</span>';
                             
		}
	}
}


// clean post
foreach($_POST as $key => $value){
$_POST[$key] = htmlentities($value, ENT_QUOTES, "UTF-8");
}
?><?php
function sendMyMail($fromMail, $fromName, $toMail, $subject, $content, $attachments=array()){

	$boundary = md5(uniqid(time()));
	$eol = PHP_EOL;

	// header
	$header = "From: =?UTF-8?B?".base64_encode(stripslashes($fromName))."?= <".$fromMail.">".$eol;
	$header .= "Reply-To: <".$fromMail.">".$eol;
	$header .= "MIME-Version: 1.0".$eol;
	if(is_array($attachments) && 0<count($attachments)){
		$header .= "Content-Type: multipart/mixed; boundary=\"".$boundary."\"";
	}
	else{
		$header .= "Content-type: text/plain; charset=utf-8";
	}


// content with attachments
	if(is_array($attachments) && 0<count($attachments)){

		// content
		$message = "--".$boundary.$eol;
		$message .= "Content-type: text/plain; charset=utf-8".$eol;
		$message .= "Content-Transfer-Encoding: 8bit".$eol.$eol;
		$message .= $content.$eol;

		// attachments
		foreach($attachments as $filename=>$filecontent){
			$filecontent = chunk_split(base64_encode($filecontent));
			$message .= "--".$boundary.$eol;
			$message .= "Content-Type: application/octet-stream; name=\"".$filename."\"".$eol;
			$message .= "Content-Transfer-Encoding: base64".$eol;
			$message .= "Content-Disposition: attachment; filename=\"".$filename."\"".$eol.$eol;
			$message .= $filecontent.$eol;
		}
		$message .= "--".$boundary."--";
	}
	
	// content without attachments
	else{
		$message = $content;
	}
	
	// subject
	$subject = "=?UTF-8?B?".base64_encode($subject)."?=";
	
	// send mail
	return mail($toMail, $subject, $message, $header);
}

?>
<!DOCTYPE html>
<html lang="de-DE">
	<head>
		<meta charset="utf-8">
		<meta name="language" content="de"/>
		<meta name="description" content="kontaktformular.com"/>
		<meta name="revisit" content="After 7 days"/>
		<meta name="robots" content="INDEX,FOLLOW"/>
		<title>kontaktformular.com</title>

		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	<!-- Stylesheet -->
<link href="css/style-kontaktformular.css" rel="stylesheet">




<script src="js/jquery.min.js"></script></head>





<body>

	<div>
		<form id="kontaktformular" class="kontaktformular" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post" enctype="multipart/form-data">

<script>
if (navigator.userAgent.search("Safari") >= 0 && navigator.userAgent.search("Chrome") < 0) 
{
   document.getElementsByTagName("BODY")[0].className += " safari";
}
		</script>

			
<p id="submitMessage" class="<?= $buttonClass ?>"><?= $formMessage ?><?php 
				if(
					(isset($fehler["Honeypot"]) && $fehler["Honeypot"] != "") || 
					(isset($fehler["Zeitsperre"]) && $fehler["Zeitsperre"] != "") ||
					(isset($fehler["Klick-Check"]) && $fehler['Klick-Check'] != "") ||
					(isset($fehler["Links"]) && $fehler['Links'] != "") ||
					(isset($fehler["Badwordfilter"]) && $fehler['Badwordfilter'] != "") || 
					(isset($fehler["Sendmail"]) && $fehler['Sendmail'] != "") ||
					(isset($fehler["upload"]) && $fehler['upload'] != "") 
				){
					?>
					<div class="row">
						<div class="col-sm-8">
							<?php if (isset($fehler["Honeypot"]) && $fehler["Honeypot"] != "") { echo $fehler["Honeypot"]; } ?>
							<?php if (isset($fehler["Zeitsperre"]) && $fehler["Zeitsperre"] != "") { echo $fehler["Zeitsperre"]; } ?>
							<?php if (isset($fehler["Klick-Check"]) && $fehler["Klick-Check"] != "") { echo $fehler["Klick-Check"]; } ?>
							<?php if (isset($fehler["Links"]) && $fehler["Links"] != "") { echo $fehler["Links"]; } ?>
							<?php if (isset($fehler["Badwordfilter"]) && $fehler["Badwordfilter"] != "") { echo $fehler["Badwordfilter"]; } ?>
							<?php if (isset($fehler["Sendmail"]) && $fehler["Sendmail"] != "") { echo $fehler["Sendmail"]; } ?>
							<?php if (isset($fehler["upload"]) && $fehler["upload"] != "") { echo $fehler["upload"]; } ?>
						</div>
					</div>
					<?php
				}
			
			
			?></p>

			<div class="row">
			
				<div class="col-sm-4 <?php if ($fehler["anrede"] != "") { echo 'error'; } ?>">
					<label class="control-label select-label"></label>
					<select <?php if($cfg['HTML5_FEHLERMELDUNGEN']) { ?> required <?php } ?> aria-label="Anrede" name="anrede" class="field unselected" onchange="<?php if(!$cfg['HTML5_FEHLERMELDUNGEN']) { ?> checkField(this); <?php } ?>if(0!=this.selectedIndex){ this.setAttribute('class', 'field'); }else{ this.setAttribute('class', 'field unselected'); }">
						<option value="" selected >Anrede *</option>
						<option style="color:#000" value="Herr" <?php if($_POST['anrede']=="Herr"){ echo "selected";}?> >Herr</option>
						<option style="color:#000" value="Frau" <?php if($_POST['anrede']=="Frau"){ echo "selected";}?> >Frau</option>
					</select>
					<?php if ($fehler["anrede"] != "") { echo $fehler["anrede"]; } ?>
					<script>if(0!=document.getElementsByName('anrede')[0].selectedIndex){ document.getElementsByName('anrede')[0].setAttribute('class', 'field'); }</script>
				</div>
				
				
				<div class="col-sm-4">
					<label class="control-label select-label"></label>
					<select aria-label="Titel" name="titel" class="field unselected" onchange="if(0!=this.selectedIndex){ this.setAttribute('class', 'field'); }else{ this.setAttribute('class', 'field unselected'); }">
						<option value="" selected >Titel</option>
						<option style="color:#000" value="Dr. " <?php if($_POST['titel']=="Dr. "){ echo "selected";}?> >Dr.</option>
						<option style="color:#000" value="Dr. med. " <?php if($_POST['titel']=="Dr. med. "){ echo "selected";}?> >Dr. med.</option>
						<option style="color:#000" value="Prof. " <?php if($_POST['titel']=="Prof. "){ echo "selected";}?> >Prof.</option>
						<option style="color:#000" value="Prof. Dr. " <?php if($_POST['titel']=="Prof. Dr. "){ echo "selected";}?> >Prof. Dr.</option>
						<option style="color:#000" value="Prof. Dr. med. " <?php if($_POST['titel']=="Prof. Dr. med. "){ echo "selected";}?> >Prof. Dr. med.</option>
					</select>
					<script>if(0!=document.getElementsByName('titel')[0].selectedIndex){ document.getElementsByName('titel')[0].setAttribute('class', 'field'); }</script>
				</div>
			</div>




			<div class="row">
				<div class="col-sm-4 <?php if ($fehler["vorname"] != "") { echo 'error'; } ?>">
					<label class="control-label"></label>
					<input <?php if($cfg['HTML5_FEHLERMELDUNGEN']) { ?> required <?php }else{ ?> onchange="checkField(this)" <?php } ?> aria-label="Vorname"  placeholder="Vorname *" type="text" name="vorname" class="field"   value="<?php echo $_POST['vorname']; ?>" maxlength="<?php echo $zeichenlaenge_vorname; ?>" />
					<?php if ($fehler["vorname"] != "") { echo $fehler["vorname"]; } ?>
				</div>
				<div class="col-sm-4 <?php if ($fehler["name"] != "") { echo 'error'; } ?>">
					<label class="control-label"></label>
					<input <?php if($cfg['HTML5_FEHLERMELDUNGEN']) { ?> required <?php }else{ ?> onchange="checkField(this)" <?php } ?> type="text" name="name"  placeholder="Nachname *" class="field"  value="<?php echo $_POST['name']; ?>" maxlength="<?php echo $zeichenlaenge_name; ?>" />
					<?php if ($fehler["name"] != "") { echo $fehler["name"]; } ?>
				</div>
			</div>



			<div class="row">
				<div class="col-sm-4 <?php if ($fehler["email"] != "") { echo 'error'; } ?>">
					<label class="control-label"></label>
					<input <?php if($cfg['HTML5_FEHLERMELDUNGEN']) { ?> required <?php }else{ ?> onchange="checkField(this)" <?php } ?> aria-label="E-Mail" type="<?php if($cfg['HTML5_FEHLERMELDUNGEN']) { echo 'email'; }else{ echo 'text'; } ?>" name="email" class="field"   placeholder="E-Mail *" value="<?php echo $_POST['email']; ?>" maxlength="<?php echo $zeichenlaenge_email; ?>" />
					<?php if ($fehler["email"] != "") { echo $fehler["email"]; } ?>
				</div>
				<div class="col-sm-4">
					<label class="control-label"></label>
					<input aria-label="Telefon" type="text" name="telefon" class="field"  placeholder="Telefon"  value="<?php echo $_POST['telefon']; ?>" maxlength="<?php echo $zeichenlaenge_telefon; ?>" />
				</div>
			</div>
			
			
			
			
			
			
		<div class="row">
					
				<div class="col-sm-str">
					<label class="control-label" for="border-right10"></label>
					<input aria-label="Str" type="text" name="str" class="field"  placeholder="Straße" value="<?php echo $_POST['str']; ?>" maxlength="<?php echo $zeichenlaenge_str; ?>" id="border-right10"/>
					 </div>
					
					<div class="col-sm-nr">
					<label class="control-label" for="border-right12"></label>
					<input aria-label="Hausnr" type="text" name="nr" class="field" placeholder="Nr." value="<?php echo $_POST['nr']; ?>" maxlength="<?php echo $zeichenlaenge_nr; ?>" id="border-right12"/>
				</div>
				
			</div>



			<div class="row">
				<div class="col-sm-postal-zip-code">
					<label class="control-label" for="border-right11"></label>
					<input aria-label="PLZ" type="text" name="postal_zip_code" class="field" placeholder="PLZ" value="<?php echo $_POST['postal_zip_code']; ?>" maxlength="<?php echo $zeichenlaenge_postal_zip_code; ?>" id="border-right11"/>
					 
				</div>
				<div class="col-sm-city">
					<label class="control-label" for="border-right12"></label>
					<input aria-label="Ort" type="text" name="city" class="field" placeholder="Ort" value="<?php echo $_POST['city']; ?>" maxlength="<?php echo $zeichenlaenge_city; ?>" id="border-right12"/>
				</div>

			
			</div>
			
			



			
				
			
			
			
			
			<div class="row">
				
				<div class="col-sm-8">
					<label class="control-label select-label" for="border-right14" style="pointer-events: none; z-index: 1;"></label>
					<select aria-label="Country" name="country" class="field unselected" onchange="if(0!=this.selectedIndex){ this.setAttribute('class', 'field'); }else{ this.setAttribute('class', 'field unselected'); }" id="border-right14">
						<option value="" selected >Land</option>
						<option value="Afganistan" <?php if($_POST['country']=="Afganistan"){ echo "selected";}?> >Afghanistan</option>
<option value="Albania" <?php if($_POST['country']=="Albania"){ echo "selected";}?> >Albania</option>
<option value="Algeria" <?php if($_POST['country']=="Algeria"){ echo "selected";}?> >Algeria</option>
<option value="American Samoa" <?php if($_POST['country']=="American Samoa"){ echo "selected";}?> >American Samoa</option>
<option value="Andorra" <?php if($_POST['country']=="Andorra"){ echo "selected";}?> >Andorra</option>
<option value="Angola" <?php if($_POST['country']=="Angola"){ echo "selected";}?> >Angola</option>
<option value="Anguilla" <?php if($_POST['country']=="Anguilla"){ echo "selected";}?> >Anguilla</option>
<option value="Antigua and Barbuda" <?php if($_POST['country']=="Antigua and Barbuda"){ echo "selected";}?> >Antigua &amp; Barbuda</option>
<option value="Argentina" <?php if($_POST['country']=="Argentina"){ echo "selected";}?> >Argentina</option>
<option value="Armenia" <?php if($_POST['country']=="Armenia"){ echo "selected";}?> >Armenia</option>
<option value="Aruba" <?php if($_POST['country']=="Aruba"){ echo "selected";}?> >Aruba</option>
<option value="Australia" <?php if($_POST['country']=="Australia"){ echo "selected";}?> >Australia</option>
<option value="Austria" <?php if($_POST['country']=="Austria"){ echo "selected";}?> >Austria</option>
<option value="Azerbaijan" <?php if($_POST['country']=="Azerbaijan"){ echo "selected";}?> >Azerbaijan</option>
<option value="Bahamas" <?php if($_POST['country']=="Bahamas"){ echo "selected";}?> >Bahamas</option>
<option value="Bahrain" <?php if($_POST['country']=="Bahrain"){ echo "selected";}?> >Bahrain</option>
<option value="Bangladesh" <?php if($_POST['country']=="Bangladesh"){ echo "selected";}?> >Bangladesh</option>
<option value="Barbados" <?php if($_POST['country']=="Barbados"){ echo "selected";}?> >Barbados</option>
<option value="Belarus" <?php if($_POST['country']=="Belarus"){ echo "selected";}?> >Belarus</option>
<option value="Belgium" <?php if($_POST['country']=="Belgium"){ echo "selected";}?> >Belgium</option>
<option value="Belize" <?php if($_POST['country']=="Belize"){ echo "selected";}?> >Belize</option>
<option value="Benin" <?php if($_POST['country']=="Benin"){ echo "selected";}?> >Benin</option>
<option value="Bermuda" <?php if($_POST['country']=="Bermuda"){ echo "selected";}?> >Bermuda</option>
<option value="Bhutan" <?php if($_POST['country']=="Bhutan"){ echo "selected";}?> >Bhutan</option>
<option value="Bolivia" <?php if($_POST['country']=="Bolivia"){ echo "selected";}?> >Bolivia</option>
<option value="Bonaire" <?php if($_POST['country']=="Bonaire"){ echo "selected";}?> >Bonaire</option>
<option value="Bosnia and Herzegovina" <?php if($_POST['country']=="Bosnia and Herzegovina"){ echo "selected";}?> >Bosnia &amp; Herzegovina</option>
<option value="Botswana" <?php if($_POST['country']=="Botswana"){ echo "selected";}?> >Botswana</option>
<option value="Brazil" <?php if($_POST['country']=="Brazil"){ echo "selected";}?> >Brazil</option>
<option value="British Indian Ocean Territory" <?php if($_POST['country']=="British Indian Ocean Territory"){ echo "selected";}?> >British Indian Ocean Territory</option>
<option value="Brunei" <?php if($_POST['country']=="Brunei"){ echo "selected";}?> >Brunei</option>
<option value="Bulgaria" <?php if($_POST['country']=="Bulgaria"){ echo "selected";}?> >Bulgaria</option>
<option value="Burkina Faso" <?php if($_POST['country']=="Burkina Faso"){ echo "selected";}?> >Burkina Faso</option>
<option value="Burundi" <?php if($_POST['country']=="Burundi"){ echo "selected";}?> >Burundi</option>
<option value="Cambodia" <?php if($_POST['country']=="Cambodia"){ echo "selected";}?> >Cambodia</option>
<option value="Cameroon" <?php if($_POST['country']=="Cameroon"){ echo "selected";}?> >Cameroon</option>
<option value="Canada" <?php if($_POST['country']=="Canada"){ echo "selected";}?> >Canada</option>
<option value="Canary Islands" <?php if($_POST['country']=="Canary Islands"){ echo "selected";}?> >Canary Islands</option>
<option value="Cape Verde" <?php if($_POST['country']=="Cape Verde"){ echo "selected";}?> >Cape Verde</option>
<option value="Cayman Islands" <?php if($_POST['country']=="Cayman Islands"){ echo "selected";}?> >Cayman Islands</option>
<option value="Central African Republic" <?php if($_POST['country']=="Central African Republic"){ echo "selected";}?> >Central African Republic</option>
<option value="Chad" <?php if($_POST['country']=="Chad"){ echo "selected";}?> >Chad</option>
<option value="Channel Islands" <?php if($_POST['country']=="Channel Islands"){ echo "selected";}?> >Channel Islands</option>
<option value="Chile" <?php if($_POST['country']=="Chile"){ echo "selected";}?> >Chile</option>
<option value="China" <?php if($_POST['country']=="China"){ echo "selected";}?> >China</option>
<option value="Christmas Island" <?php if($_POST['country']=="Christmas Island"){ echo "selected";}?> >Christmas Island</option>
<option value="Cocos Island" <?php if($_POST['country']=="Cocos Island"){ echo "selected";}?> >Cocos Island</option>
<option value="Colombia" <?php if($_POST['country']=="Colombia"){ echo "selected";}?> >Colombia</option>
<option value="Comoros" <?php if($_POST['country']=="Comoros"){ echo "selected";}?> >Comoros</option>
<option value="Congo" <?php if($_POST['country']=="Congo"){ echo "selected";}?> >Congo</option>
<option value="Cook Islands" <?php if($_POST['country']=="Cook Islands"){ echo "selected";}?> >Cook Islands</option>
<option value="Costa Rica" <?php if($_POST['country']=="Costa Rica"){ echo "selected";}?> >Costa Rica</option>
<option value="Cote DIvoire" <?php if($_POST['country']=="Cote DIvoire"){ echo "selected";}?> >Cote D'Ivoire</option>
<option value="Croatia" <?php if($_POST['country']=="Croatia"){ echo "selected";}?> >Croatia</option>
<option value="Cuba" <?php if($_POST['country']=="Cuba"){ echo "selected";}?> >Cuba</option>
<option value="Curaco" <?php if($_POST['country']=="Curaco"){ echo "selected";}?> >Curacao</option>
<option value="Cyprus" <?php if($_POST['country']=="Cyprus"){ echo "selected";}?> >Cyprus</option>
<option value="Czech Republic" <?php if($_POST['country']=="Czech Republic"){ echo "selected";}?> >Czech Republic</option>
<option value="Denmark" <?php if($_POST['country']=="Denmark"){ echo "selected";}?> >Denmark</option>
<option value="Djibouti" <?php if($_POST['country']=="Djibouti"){ echo "selected";}?> >Djibouti</option>
<option value="Dominica" <?php if($_POST['country']=="Dominica"){ echo "selected";}?> >Dominica</option>
<option value="Dominican Republic" <?php if($_POST['country']=="Dominican Republic"){ echo "selected";}?> >Dominican Republic</option>
<option value="East Timor" <?php if($_POST['country']=="East Timor"){ echo "selected";}?> >East Timor</option>
<option value="Ecuador" <?php if($_POST['country']=="Ecuador"){ echo "selected";}?> >Ecuador</option>
<option value="Egypt" <?php if($_POST['country']=="Egypt"){ echo "selected";}?> >Egypt</option>
<option value="El Salvador" <?php if($_POST['country']=="El Salvador"){ echo "selected";}?> >El Salvador</option>
<option value="Equatorial Guinea" <?php if($_POST['country']=="Equatorial Guinea"){ echo "selected";}?> >Equatorial Guinea</option>
<option value="Eritrea" <?php if($_POST['country']=="Eritrea"){ echo "selected";}?> >Eritrea</option>
<option value="Estonia" <?php if($_POST['country']=="Estonia"){ echo "selected";}?> >Estonia</option>
<option value="Ethiopia" <?php if($_POST['country']=="Ethiopia"){ echo "selected";}?> >Ethiopia</option>
<option value="Falkland Islands" <?php if($_POST['country']=="Falkland Islands"){ echo "selected";}?> >Falkland Islands</option>
<option value="Faroe Islands" <?php if($_POST['country']=="Faroe Islands"){ echo "selected";}?> >Faroe Islands</option>
<option value="Fiji" <?php if($_POST['country']=="Fiji"){ echo "selected";}?> >Fiji</option>
<option value="Finland" <?php if($_POST['country']=="Finland"){ echo "selected";}?> >Finland</option>
<option value="France" <?php if($_POST['country']=="France"){ echo "selected";}?> >France</option>
<option value="French Guiana" <?php if($_POST['country']=="French Guiana"){ echo "selected";}?> >French Guiana</option>
<option value="French Polynesia" <?php if($_POST['country']=="French Polynesia"){ echo "selected";}?> >French Polynesia</option>
<option value="French Southern Territory" <?php if($_POST['country']=="French Southern Territory"){ echo "selected";}?> >French Southern Territory</option>
<option value="Gabon" <?php if($_POST['country']=="Gabon"){ echo "selected";}?> >Gabon</option>
<option value="Gambia" <?php if($_POST['country']=="Gambia"){ echo "selected";}?> >Gambia</option>
<option value="Georgia" <?php if($_POST['country']=="Georgia"){ echo "selected";}?> >Georgia</option>
<option value="Germany" <?php if($_POST['country']=="Germany"){ echo "selected";}?> >Germany</option>
<option value="Ghana" <?php if($_POST['country']=="Ghana"){ echo "selected";}?> >Ghana</option>
<option value="Gibraltar" <?php if($_POST['country']=="Gibraltar"){ echo "selected";}?> >Gibraltar</option>
<option value="Great Britain" <?php if($_POST['country']=="Great Britain"){ echo "selected";}?> >Great Britain</option>
<option value="Greece" <?php if($_POST['country']=="Greece"){ echo "selected";}?> >Greece</option>
<option value="Greenland" <?php if($_POST['country']=="Greenland"){ echo "selected";}?> >Greenland</option>
<option value="Grenada" <?php if($_POST['country']=="Grenada"){ echo "selected";}?> >Grenada</option>
<option value="Guadeloupe" <?php if($_POST['country']=="Guadeloupe"){ echo "selected";}?> >Guadeloupe</option>
<option value="Guam" <?php if($_POST['country']=="Guam"){ echo "selected";}?> >Guam</option>
<option value="Guatemala" <?php if($_POST['country']=="Guatemala"){ echo "selected";}?> >Guatemala</option>
<option value="Guinea" <?php if($_POST['country']=="Guinea"){ echo "selected";}?> >Guinea</option>
<option value="Guyana" <?php if($_POST['country']=="Guyana"){ echo "selected";}?> >Guyana</option>
<option value="Haiti" <?php if($_POST['country']=="Haiti"){ echo "selected";}?> >Haiti</option>
<option value="Hawaii" <?php if($_POST['country']=="Hawaii"){ echo "selected";}?> >Hawaii</option>
<option value="Honduras" <?php if($_POST['country']=="Honduras"){ echo "selected";}?> >Honduras</option>
<option value="Hong Kong" <?php if($_POST['country']=="Hong Kong"){ echo "selected";}?> >Hong Kong</option>
<option value="Hungary" <?php if($_POST['country']=="Hungary"){ echo "selected";}?> >Hungary</option>
<option value="Iceland" <?php if($_POST['country']=="Iceland"){ echo "selected";}?> >Iceland</option>
<option value="India" <?php if($_POST['country']=="India"){ echo "selected";}?> >India</option>
<option value="Indonesia" <?php if($_POST['country']=="Indonesia"){ echo "selected";}?> >Indonesia</option>
<option value="Iran" <?php if($_POST['country']=="Iran"){ echo "selected";}?> >Iran</option>
<option value="Iraq" <?php if($_POST['country']=="Iraq"){ echo "selected";}?> >Iraq</option>
<option value="Ireland" <?php if($_POST['country']=="Ireland"){ echo "selected";}?> >Ireland</option>
<option value="Isle of Man" <?php if($_POST['country']=="Isle of Man"){ echo "selected";}?> >Isle of Man</option>
<option value="Israel" <?php if($_POST['country']=="Israel"){ echo "selected";}?> >Israel</option>
<option value="Italy" <?php if($_POST['country']=="Italy"){ echo "selected";}?> >Italy</option>
<option value="Jamaica" <?php if($_POST['country']=="Jamaica"){ echo "selected";}?> >Jamaica</option>
<option value="Japan" <?php if($_POST['country']=="Japan"){ echo "selected";}?> >Japan</option>
<option value="Jordan" <?php if($_POST['country']=="Jordan"){ echo "selected";}?> >Jordan</option>
<option value="Kazakhstan" <?php if($_POST['country']=="Kazakhstan"){ echo "selected";}?> >Kazakhstan</option>
<option value="Kenya" <?php if($_POST['country']=="Kenya"){ echo "selected";}?> >Kenya</option>
<option value="Kiribati" <?php if($_POST['country']=="Kiribati"){ echo "selected";}?> >Kiribati</option>
<option value="Korea North" <?php if($_POST['country']=="Korea North"){ echo "selected";}?> >Korea North</option>
<option value="Korea South" <?php if($_POST['country']=="Korea South"){ echo "selected";}?> >Korea South</option>
<option value="Kuwait" <?php if($_POST['country']=="Kuwait"){ echo "selected";}?> >Kuwait</option>
<option value="Kyrgyzstan" <?php if($_POST['country']=="Kyrgyzstan"){ echo "selected";}?> >Kyrgyzstan</option>
<option value="Laos" <?php if($_POST['country']=="Laos"){ echo "selected";}?> >Laos</option>
<option value="Latvia" <?php if($_POST['country']=="Latvia"){ echo "selected";}?> >Latvia</option>
<option value="Lebanon" <?php if($_POST['country']=="Lebanon"){ echo "selected";}?> >Lebanon</option>
<option value="Lesotho" <?php if($_POST['country']=="Lesotho"){ echo "selected";}?> >Lesotho</option>
<option value="Liberia" <?php if($_POST['country']=="Liberia"){ echo "selected";}?> >Liberia</option>
<option value="Libya" <?php if($_POST['country']=="Libya"){ echo "selected";}?> >Libya</option>
<option value="Liechtenstein" <?php if($_POST['country']=="Liechtenstein"){ echo "selected";}?> >Liechtenstein</option>
<option value="Lithuania" <?php if($_POST['country']=="Lithuania"){ echo "selected";}?> >Lithuania</option>
<option value="Luxembourg" <?php if($_POST['country']=="Luxembourg"){ echo "selected";}?> >Luxembourg</option>
<option value="Macau" <?php if($_POST['country']=="Macau"){ echo "selected";}?> >Macau</option>
<option value="Macedonia" <?php if($_POST['country']=="Macedonia"){ echo "selected";}?> >Macedonia</option>
<option value="Madagascar" <?php if($_POST['country']=="Madagascar"){ echo "selected";}?> >Madagascar</option>
<option value="Malaysia" <?php if($_POST['country']=="Malaysia"){ echo "selected";}?> >Malaysia</option>
<option value="Malawi" <?php if($_POST['country']=="Malawi"){ echo "selected";}?> >Malawi</option>
<option value="Maldives" <?php if($_POST['country']=="Maldives"){ echo "selected";}?> >Maldives</option>
<option value="Mali" <?php if($_POST['country']=="Mali"){ echo "selected";}?> >Mali</option>
<option value="Malta" <?php if($_POST['country']=="Malta"){ echo "selected";}?> >Malta</option>
<option value="Marshall Islands" <?php if($_POST['country']=="Marshall Islands"){ echo "selected";}?> >Marshall Islands</option>
<option value="Martinique" <?php if($_POST['country']=="Martinique"){ echo "selected";}?> >Martinique</option>
<option value="Mauritania" <?php if($_POST['country']=="Mauritania"){ echo "selected";}?> >Mauritania</option>
<option value="Mauritius" <?php if($_POST['country']=="Mauritius"){ echo "selected";}?> >Mauritius</option>
<option value="Mayotte" <?php if($_POST['country']=="Mayotte"){ echo "selected";}?> >Mayotte</option>
<option value="Mexico" <?php if($_POST['country']=="Mexico"){ echo "selected";}?> >Mexico</option>
<option value="Midway Islands" <?php if($_POST['country']=="Midway Islands"){ echo "selected";}?> >Midway Islands</option>
<option value="Moldova" <?php if($_POST['country']=="Moldova"){ echo "selected";}?> >Moldova</option>
<option value="Monaco" <?php if($_POST['country']=="Monaco"){ echo "selected";}?> >Monaco</option>
<option value="Mongolia" <?php if($_POST['country']=="Mongolia"){ echo "selected";}?> >Mongolia</option>
<option value="Montserrat" <?php if($_POST['country']=="Montserrat"){ echo "selected";}?> >Montserrat</option>
<option value="Morocco" <?php if($_POST['country']=="Morocco"){ echo "selected";}?> >Morocco</option>
<option value="Mozambique" <?php if($_POST['country']=="Mozambique"){ echo "selected";}?> >Mozambique</option>
<option value="Myanmar" <?php if($_POST['country']=="Myanmar"){ echo "selected";}?> >Myanmar</option>
<option value="Nambia" <?php if($_POST['country']=="Nambia"){ echo "selected";}?> >Nambia</option>
<option value="Nauru" <?php if($_POST['country']=="Nauru"){ echo "selected";}?> >Nauru</option>
<option value="Nepal" <?php if($_POST['country']=="Nepal"){ echo "selected";}?> >Nepal</option>
<option value="Netherland Antilles" <?php if($_POST['country']=="Netherland Antilles"){ echo "selected";}?> >Netherland Antilles</option>
<option value="Netherlands" <?php if($_POST['country']=="Netherlands"){ echo "selected";}?> >Netherlands (Holland, Europe)</option>
<option value="Nevis" <?php if($_POST['country']=="Nevis"){ echo "selected";}?> >Nevis</option>
<option value="New Caledonia" <?php if($_POST['country']=="New Caledonia"){ echo "selected";}?> >New Caledonia</option>
<option value="New Zealand" <?php if($_POST['country']=="New Zealand"){ echo "selected";}?> >New Zealand</option>
<option value="Nicaragua" <?php if($_POST['country']=="Nicaragua"){ echo "selected";}?> >Nicaragua</option>
<option value="Niger" <?php if($_POST['country']=="Niger"){ echo "selected";}?> >Niger</option>
<option value="Nigeria" <?php if($_POST['country']=="Nigeria"){ echo "selected";}?> >Nigeria</option>
<option value="Niue" <?php if($_POST['country']=="Niue"){ echo "selected";}?> >Niue</option>
<option value="Norfolk Island" <?php if($_POST['country']=="Norfolk Island"){ echo "selected";}?> >Norfolk Island</option>
<option value="Norway" <?php if($_POST['country']=="Norway"){ echo "selected";}?> >Norway</option>
<option value="Oman" <?php if($_POST['country']=="Oman"){ echo "selected";}?> >Oman</option>
<option value="Pakistan" <?php if($_POST['country']=="Pakistan"){ echo "selected";}?> >Pakistan</option>
<option value="Palau Island" <?php if($_POST['country']=="Palau Island"){ echo "selected";}?> >Palau Island</option>
<option value="Palestine" <?php if($_POST['country']=="Palestine"){ echo "selected";}?> >Palestine</option>
<option value="Panama" <?php if($_POST['country']=="Panama"){ echo "selected";}?> >Panama</option>
<option value="Papua New Guinea" <?php if($_POST['country']=="Papua New Guinea"){ echo "selected";}?> >Papua New Guinea</option>
<option value="Paraguay" <?php if($_POST['country']=="Paraguay"){ echo "selected";}?> >Paraguay</option>
<option value="Peru" <?php if($_POST['country']=="Peru"){ echo "selected";}?> >Peru</option>
<option value="Phillipines" <?php if($_POST['country']=="Phillipines"){ echo "selected";}?> >Philippines</option>
<option value="Pitcairn Island" <?php if($_POST['country']=="Pitcairn Island"){ echo "selected";}?> >Pitcairn Island</option>
<option value="Poland" <?php if($_POST['country']=="Poland"){ echo "selected";}?> >Poland</option>
<option value="Portugal" <?php if($_POST['country']=="Portugal"){ echo "selected";}?> >Portugal</option>
<option value="Puerto Rico" <?php if($_POST['country']=="Puerto Rico"){ echo "selected";}?> >Puerto Rico</option>
<option value="Qatar" <?php if($_POST['country']=="Qatar"){ echo "selected";}?> >Qatar</option>
<option value="Republic of Montenegro" <?php if($_POST['country']=="Republic of Montenegro"){ echo "selected";}?> >Republic of Montenegro</option>
<option value="Republic of Serbia" <?php if($_POST['country']=="Republic of Serbia"){ echo "selected";}?> >Republic of Serbia</option>
<option value="Reunion" <?php if($_POST['country']=="Reunion"){ echo "selected";}?> >Reunion</option>
<option value="Romania" <?php if($_POST['country']=="Romania"){ echo "selected";}?> >Romania</option>
<option value="Russia" <?php if($_POST['country']=="Russia"){ echo "selected";}?> >Russia</option>
<option value="Rwanda" <?php if($_POST['country']=="Rwanda"){ echo "selected";}?> >Rwanda</option>
<option value="St Barthelemy" <?php if($_POST['country']=="St Barthelemy"){ echo "selected";}?> >St Barthelemy</option>
<option value="St Eustatius" <?php if($_POST['country']=="St Eustatius"){ echo "selected";}?> >St Eustatius</option>
<option value="St Helena" <?php if($_POST['country']=="St Helena"){ echo "selected";}?> >St Helena</option>
<option value="St Kitts-Nevis" <?php if($_POST['country']=="St Kitts-Nevis"){ echo "selected";}?> >St Kitts-Nevis</option>
<option value="St Lucia" <?php if($_POST['country']=="St Lucia"){ echo "selected";}?> >St Lucia</option>
<option value="St Maarten" <?php if($_POST['country']=="St Maarten"){ echo "selected";}?> >St Maarten</option>
<option value="St Pierre and Miquelon" <?php if($_POST['country']=="St Pierre and Miquelon"){ echo "selected";}?> >St Pierre &amp; Miquelon</option>
<option value="St Vincent and Grenadines" <?php if($_POST['country']=="St Vincent and Grenadines"){ echo "selected";}?> >St Vincent &amp; Grenadines</option>
<option value="Saipan" <?php if($_POST['country']=="Saipan"){ echo "selected";}?> >Saipan</option>
<option value="Samoa" <?php if($_POST['country']=="Samoa"){ echo "selected";}?> >Samoa</option>
<option value="Samoa American" <?php if($_POST['country']=="Samoa American"){ echo "selected";}?> >Samoa American</option>
<option value="San Marino" <?php if($_POST['country']=="San Marino"){ echo "selected";}?> >San Marino</option>
<option value="Sao Tome and Principe" <?php if($_POST['country']=="Sao Tome and Principe"){ echo "selected";}?> >Sao Tome &amp; Principe</option>
<option value="Saudi Arabia" <?php if($_POST['country']=="Saudi Arabia"){ echo "selected";}?> >Saudi Arabia</option>
<option value="Senegal" <?php if($_POST['country']=="Senegal"){ echo "selected";}?> >Senegal</option>
<option value="Serbia" <?php if($_POST['country']=="Serbia"){ echo "selected";}?> >Serbia</option>
<option value="Seychelles" <?php if($_POST['country']=="Seychelles"){ echo "selected";}?> >Seychelles</option>
<option value="Sierra Leone" <?php if($_POST['country']=="Sierra Leone"){ echo "selected";}?> >Sierra Leone</option>
<option value="Singapore" <?php if($_POST['country']=="Singapore"){ echo "selected";}?> >Singapore</option>
<option value="Slovakia" <?php if($_POST['country']=="Slovakia"){ echo "selected";}?> >Slovakia</option>
<option value="Slovenia" <?php if($_POST['country']=="Slovenia"){ echo "selected";}?> >Slovenia</option>
<option value="Solomon Islands" <?php if($_POST['country']=="Solomon Islands"){ echo "selected";}?> >Solomon Islands</option>
<option value="Somalia" <?php if($_POST['country']=="Somalia"){ echo "selected";}?> >Somalia</option>
<option value="South Africa" <?php if($_POST['country']=="South Africa"){ echo "selected";}?> >South Africa</option>
<option value="Spain" <?php if($_POST['country']=="Spain"){ echo "selected";}?> >Spain</option>
<option value="Sri Lanka" <?php if($_POST['country']=="Sri Lanka"){ echo "selected";}?> >Sri Lanka</option>
<option value="Sudan" <?php if($_POST['country']=="Sudan"){ echo "selected";}?> >Sudan</option>
<option value="Suriname" <?php if($_POST['country']=="Suriname"){ echo "selected";}?> >Suriname</option>
<option value="Swaziland" <?php if($_POST['country']=="Swaziland"){ echo "selected";}?> >Swaziland</option>
<option value="Sweden" <?php if($_POST['country']=="Sweden"){ echo "selected";}?> >Sweden</option>
<option value="Switzerland" <?php if($_POST['country']=="Switzerland"){ echo "selected";}?> >Switzerland</option>
<option value="Syria" <?php if($_POST['country']=="Syria"){ echo "selected";}?> >Syria</option>
<option value="Tahiti" <?php if($_POST['country']=="Tahiti"){ echo "selected";}?> >Tahiti</option>
<option value="Taiwan" <?php if($_POST['country']=="Taiwan"){ echo "selected";}?> >Taiwan</option>
<option value="Tajikistan" <?php if($_POST['country']=="Tajikistan"){ echo "selected";}?> >Tajikistan</option>
<option value="Tanzania" <?php if($_POST['country']=="Tanzania"){ echo "selected";}?> >Tanzania</option>
<option value="Thailand" <?php if($_POST['country']=="Thailand"){ echo "selected";}?> >Thailand</option>
<option value="Togo" <?php if($_POST['country']=="Togo"){ echo "selected";}?> >Togo</option>
<option value="Tokelau" <?php if($_POST['country']=="Tokelau"){ echo "selected";}?> >Tokelau</option>
<option value="Tonga" <?php if($_POST['country']=="Tonga"){ echo "selected";}?> >Tonga</option>
<option value="Trinidad and Tobago" <?php if($_POST['country']=="Trinidad and Tobago"){ echo "selected";}?> >Trinidad &amp; Tobago</option>
<option value="Tunisia" <?php if($_POST['country']=="Tunisia"){ echo "selected";}?> >Tunisia</option>
<option value="Turkey" <?php if($_POST['country']=="Turkey"){ echo "selected";}?> >Turkey</option>
<option value="Turkmenistan" <?php if($_POST['country']=="Turkmenistan"){ echo "selected";}?> >Turkmenistan</option>
<option value="Turks and Caicos Islands" <?php if($_POST['country']=="Turks and Caicos Islands"){ echo "selected";}?> >Turks &amp; Caicos Islands</option>
<option value="Tuvalu" <?php if($_POST['country']=="Tuvalu"){ echo "selected";}?> >Tuvalu</option>
<option value="Uganda" <?php if($_POST['country']=="Uganda"){ echo "selected";}?> >Uganda</option>
<option value="Ukraine" <?php if($_POST['country']=="Ukraine"){ echo "selected";}?> >Ukraine</option>
<option value="United Arab Erimates" <?php if($_POST['country']=="United Arab Erimates"){ echo "selected";}?> >United Arab Emirates</option>
<option value="United Kingdom" <?php if($_POST['country']=="United Kingdom"){ echo "selected";}?> >United Kingdom</option>
<option value="United States of America" <?php if($_POST['country']=="United States of America"){ echo "selected";}?> >United States of America</option>
<option value="Uraguay" <?php if($_POST['country']=="Uraguay"){ echo "selected";}?> >Uruguay</option>
<option value="Uzbekistan" <?php if($_POST['country']=="Uzbekistan"){ echo "selected";}?> >Uzbekistan</option>
<option value="Vanuatu" <?php if($_POST['country']=="Vanuatu"){ echo "selected";}?> >Vanuatu</option>
<option value="Vatican City State" <?php if($_POST['country']=="Vatican City State"){ echo "selected";}?> >Vatican City State</option>
<option value="Venezuela" <?php if($_POST['country']=="Venezuela"){ echo "selected";}?> >Venezuela</option>
<option value="Vietnam" <?php if($_POST['country']=="Vietnam"){ echo "selected";}?> >Vietnam</option>
<option value="Virgin Islands (Brit)" <?php if($_POST['country']=="Virgin Islands (Brit)"){ echo "selected";}?> >Virgin Islands (Brit)</option>
<option value="Virgin Islands (USA)" <?php if($_POST['country']=="Virgin Islands (USA)"){ echo "selected";}?> >Virgin Islands (USA)</option>
<option value="Wake Island" <?php if($_POST['country']=="Wake Island"){ echo "selected";}?> >Wake Island</option>
<option value="Wallis and Futana Islands" <?php if($_POST['country']=="Wallis and Futana Islands"){ echo "selected";}?> >Wallis &amp; Futana Islands</option>
<option value="Yemen" <?php if($_POST['country']=="Yemen"){ echo "selected";}?> >Yemen</option>
<option value="Zaire" <?php if($_POST['country']=="Zaire"){ echo "selected";}?> >Zaire</option>
<option value="Zambia" <?php if($_POST['country']=="Zambia"){ echo "selected";}?> >Zambia</option>
<option value="Zimbabwe" <?php if($_POST['country']=="Zimbabwe"){ echo "selected";}?> >Zimbabwe</option>
</select>
					<script>if(0!=document.getElementsByName('country')[0].selectedIndex){ document.getElementsByName('country')[0].setAttribute('class', 'field'); }</script>
				</div>
			</div>
			





			
			
			
			
			
			
			
			
			

		   <div class="row">
				<div class="col-sm-8 <?php if ($fehler["betreff"] != "") { echo 'error'; } ?>">
					<label class="control-label"></label>
					<input <?php if($cfg['HTML5_FEHLERMELDUNGEN']) { ?> required <?php }else{ ?> onchange="checkField(this)" <?php } ?> aria-label="Betreff" type="text"  placeholder="Betreff *" name="betreff" class="field"  value="<?php echo $_POST['betreff']; ?>" maxlength="<?php echo $zeichenlaenge_betreff; ?>" />
					<?php if ($fehler["betreff"] != "") { echo $fehler["betreff"]; } ?>
				</div>
			</div>

			<div class="row">
				<div class="col-sm-8 <?php if ($fehler["nachricht"] != "") { echo 'error'; } ?>">
					<label class="control-label textarea-label"></label>
					<textarea <?php if($cfg['HTML5_FEHLERMELDUNGEN']) { ?> required <?php }else{ ?> onchange="checkField(this)" <?php } ?> aria-label="Nachricht"  placeholder="Nachricht *" name="nachricht" class="field" rows="5"  style="height:100%;width:100%;"><?php echo $_POST['nachricht']; ?></textarea>
					<?php if ($fehler["nachricht"] != "") { echo $fehler["nachricht"]; } ?>
				</div>
			</div>




		<?php
		// -------------------- DATEIUPLOAD START ----------------------
			if(0<$cfg['NUM_ATTACHMENT_FIELDS']){
				echo '<div class="row upload-row">
						<div class="col-sm-8">
							<label class="control-label"><i class="fa fa-upload"></i>&nbsp;&nbsp;</label>';
				for ($i=0; $i < $cfg['NUM_ATTACHMENT_FIELDS']; $i++) {
							echo '<input aria-label="Dateiupload" type="file" size=12 name="f[]"/>';
				}
				echo '	</div>
					</div>';
			}
		// -------------------- DATEIUPLOAD ENDE ----------------------
		?>






		<?php
		// -------------------- SPAMPROTECTION START ----------------------

		if($cfg['Honeypot']){ ?>
			<div style="height: 2px; overflow: hidden;">
				<label style="margin-top: 10px;">Das nachfolgende Feld muss leer bleiben, damit die Nachricht gesendet wird!</label>
				<div style="margin-top: 10px;"><input type="email" name="mail" value="" /></div>
			</div>
		<?php }

		if($cfg['Zeitsperre']){ ?>
			<input type="hidden" name="chkspmtm" value="<?php echo time(); ?>" />
		<?php }

		if($cfg['Klick-Check']){ ?>
			<input type="hidden" name="chkspmkc" value="chkspmbt" />
		<?php }


		if($cfg['Sicherheitscode']) { ?>
			<div class="row captcha-row <?php if ($fehler["captcha"] != "") { echo 'error_container'; } ?>">
				<div class="col-sm-8 <?php if ($fehler["captcha"] != "") { echo 'error'; } ?>">
					<label class="control-label"></label>
					<div>
						<img aria-label="Captcha" src="captcha/captcha.php" alt="Sicherheitscode" title="kontaktformular.com-sicherheitscode" id="captcha" />
						<a href="javascript:void(0);" onclick="javascript:document.getElementById('captcha').src='captcha/captcha.php?'+Math.random();cursor:pointer;">
							<span class="captchareload"><i style="color:grey;" class="fas fa-sync-alt"></i></span>
						</a>
					</div>
					<input <?php if($cfg['HTML5_FEHLERMELDUNGEN']) { ?> required <?php }else{ ?> onchange="checkField(this)" <?php } ?> aria-label="Eingabe" id="answer" placeholder="Sicherheitscode eingeben *"  type="text" name="sicherheitscode" maxlength="150"  class="field<?php if ($fehler["captcha"] != "") { echo ' errordesignfields'; } ?>"/>
					<?php if ($fehler["captcha"] != "") { echo $fehler["captcha"]; } ?>
				</div>
			</div>
		  

		<?php }

		if($cfg['Sicherheitsfrage']) { ?>
		  
			<div class="row question-row <?php if ($fehler["q_id12"] != "") { echo 'error_container'; } ?>">
				<div class="col-sm-8 <?php if ($fehler["q_id12"] != "") { echo 'error'; } ?>">
					<label class="control-label"></label>
					<div aria-label="Sicherheitsfrage">
						Spamschutz: <?php echo $q[1]; ?>
						<input type="hidden" name="q_id" value="<?php echo $q[0]; ?>"/>
					</div>					
					<input <?php if($cfg['HTML5_FEHLERMELDUNGEN']) { ?> required <?php }else{ ?> onchange="checkField(this)" <?php } ?> aria-label="Antwort" id="answer" placeholder="Sicherheitsfrage beantworten *"  type="text" class="field<?php if ($fehler["q_id12"] != "") { echo ' errordesignfields'; } ?>" name="q"/>
					<?php if ($fehler["q_id12"] != "") { echo $fehler["q_id12"]; } ?>
				</div>
			</div>
		  
		  

		<?php } 

		// -------------------- SPAMPROTECTION ENDE ----------------------
		{ ?>






		<?php }
		
		// -------------------- MAIL-COPY START ----------------------

		if(1==$cfg['Kopie_senden']) { ?>
			<div class="row checkbox-row">
				<div class="col-sm-8">
					
				<label></label>
					<label class="checkbox-inline">
						<input aria-label="E-Mail-Kopie senden" type="checkbox" id="inlineCheckbox11" name="mail-copy" value="1" <?php if (isset($_POST['mail-copy']) && $_POST['mail-copy']=='1') echo(' checked="checked" '); ?>> <div style="padding-top:4px;padding-bottom:2px;"><span>Kopie der Nachricht per E-Mail senden</span></div>
					</label>
				</div>
			</div>
				
<?php  }

if($cfg['Datenschutz_Erklaerung']) { ?>
			<div style="margin-bottom:8px;">
				
			</div>

			
		<?php } 

		// -------------------- MAIL-COPY ENDE ----------------------
		
		
		// -------------------- DATAPROTECTION START ----------------------

		if($cfg['Datenschutz_Erklaerung']) { ?>
			<div class="row checkbox-row <?php if ($fehler["datenschutz"] != "") { echo 'error_container'; } ?>">
				<div class="col-sm-8 <?php if ($fehler["datenschutz"] != "") { echo 'error'; } ?>">
					
					<label class="checkbox-inline">
						<input <?php if($cfg['HTML5_FEHLERMELDUNGEN']) { ?> required <?php }else{ ?> onchange="checkField(this)" <?php } ?> aria-label="Datenschutz" type="checkbox" id="inlineCheckbox11" name="datenschutz" value="akzeptiert" <?php if ($_POST['datenschutz']=='akzeptiert') echo(' checked="checked" '); ?>> <div style="padding-top:4px;padding-bottom:2px;"> <a href="<?php echo "$datenschutzerklaerung"; ?>" target="_blank">Ich stimme der Datenschutz&shy;erklärung zu.</a> *</div>
					</label>
					<?php if ($fehler["datenschutz"] != "") { echo $fehler["datenschutz"]; } ?>
				</div>
			</div>
		<?php } 

// -------------------- DATAPROTECTION ENDE ----------------------
		 
		 ?>
		 
		 


			<div class="row" id="send">
				<div class="col-sm-8">
					<br />	
					<br />
						<b>Hinweis:</b> Felder mit <span class="pflichtfeld">*</span> müssen ausgefüllt werden.
					<br />
					<br />
					<button type="submit" class="senden <?= $buttonClass ?>" name="kf-km" id="submitButton">
                  

                    <span class="label">Nachricht senden</span>  <svg class="loading-spinner" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24">
                        <circle class="opacity-25" cx="12" cy="12" r="10" stroke="currentColor"
                                stroke-width="4"></circle>
                        <path class="opacity-75" fill="currentColor"
                              d="M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"></path>
                    </svg>
                </button>


            </div>

              

        </div>
        

        <?php if ($cfg['Loading_Spinner']): ?><script type="text/javascript">
            document.addEventListener("DOMContentLoaded", () => {
                const element = document.getElementById("submitButton");
                
            });          
            document.querySelector('.senden').addEventListener('click', function() {
            var form = document.getElementById('kontaktformular'); 
            if (form.checkValidity()) {
            this.classList.add('loading');
            this.style.backgroundColor = '#A6A6A6';  
            } else {
            console.log('');
    }
});
        </script>

       
            <script type="text/javascript">
                document.addEventListener("DOMContentLoaded", () => {
                    const form = document.getElementById('kontaktformular');

                    form.addEventListener('submit', function (event) {
                        event.stopPropagation();
                        event.preventDefault();
                        const formData = new FormData(form);

                        const action = this.getAttribute('action')
                        const method = this.getAttribute('method');

                        const submitButton = document.querySelector('#kontaktformular *[type="submit"]');
                        const submitMessage = document.querySelector('#kontaktformular #submitMessage');

                        const submitButtonLabel = document.querySelector('#kontaktformular *[type="submit"] .label');

                        submitButton.classList.remove('failed');
                        submitButton.classList.remove('finished');
                        submitButton.classList.add('loading');
                        submitButton.disabled = true;
                        submitMessage.classList.remove('failed');
                        submitMessage.classList.remove('finished');
                        submitMessage.classList.add('loading');
                      


                        const interval = setInterval(function () {
                            form.submit();

                            clearInterval(interval);
                        }, 1000);


                    });
                });
            </script><?php endif; ?>
		  <script>
 

    
    // Überprüfe, ob die Klasse "failed" aktiv ist
  var isFailed = document.querySelector('.senden').classList.contains('failed');

  // Ändere die Beschriftung entsprechend
  if (isFailed) {
    document.getElementById('submitButton').innerHTML = '<span class="label_failed">Senden wiederholen</span>  <svg class="loading-spinner_failed" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"><circle class="opacity-25" cx="12" cy="12" r="10" stroke="currentColor" stroke-width="4"></circle><path class="opacity-75" fill="currentColor"d="M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"></path></svg>';
    
  }

  
</script>
<?php if ($cfg['Erfolgsmeldung']): ?>
<script>
 

    
    // Überprüfe, ob die Klasse "finished" aktiv ist
  var isFinished = document.querySelector('.senden').classList.contains('finished');

  // Ändere die Beschriftung entsprechend
  if (isFinished) {
  var submitButton = document.getElementById('submitButton');
  submitButton.innerHTML = '<span class="label_finished">Nachricht gesendet</span>';
  
}

  
</script>
        <?php endif; ?>



        <?php if ($cfg['Klick-Check']) { ?>
			<script type="text/javascript">
				function chkspmkcfnk(){
					document.getElementsByName('chkspmkc')[0].value = 'chkspmhm';
				}
				document.getElementsByName('kf-km')[0].addEventListener('mouseenter', chkspmkcfnk);
				document.getElementsByName('kf-km')[0].addEventListener('touchstart', chkspmkcfnk);
			</script>
		<?php } ?>
			<script type="text/javascript">
				// set class kontaktformular-validate for form if user wants to send the form > so the invalid-styles only appears after validation
				function setValidationStyles(){
					document.getElementById('kontaktformular').setAttribute('class', 'kontaktformular kontaktformular-validate');
				}
				document.getElementsByName('kf-km')[0].addEventListener('click', setValidationStyles);
				document.getElementById('kontaktformular').addEventListener('submit', setValidationStyles);
			</script>
		<?php if(!$cfg['HTML5_FEHLERMELDUNGEN']) { ?>
			<script type="text/javascript">
				// set class kontaktformular-validate for form if user wants to send the form > so the invalid-styles only appears after validation
				function checkField(field){
					if(''!=field.value){
						
						// if field is checkbox: go to parentNode and do things because checkbox is in label-element
						if('checkbox'==field.getAttribute('type')){
							field.parentNode.parentNode.classList.remove("error");						
							field.parentNode.nextElementSibling.style.display = 'none';
						}
						// field is no checkbox: do things with field
						else{
							field.parentNode.classList.remove("error");
							field.nextElementSibling.style.display = 'none';
						}
						
						// remove class error_container from parent-elements
						field.parentNode.parentNode.parentNode.classList.remove("error_container");
						field.parentNode.parentNode.classList.remove("error_container");
						field.parentNode.classList.remove("error_container");	
					}
				}
			</script>
		<?php } ?>
		</form>
	</div>
<!-- Dieser Copyrighthinweis darf NICHT entfernt werden. -->
<br />
<div style="display: flex;justify-content: center;align-items: center;padding-right:5%;padding-left:5%;">

<div style="border: 1px solid #ccc; margin: 0;box-sizing: border-box;display: inline-block;line-height: 0.3;vertical-align: top;padding-bottom:7.5px;padding-right:5px;padding-left:5px;">
						<br /><br /><a href="https://www.kontaktformular.com" title="kontaktformular.com" style="text-decoration: none;color:#000000;font-size:13px;line-height: 20px;" target="_blank">&copy; by kontaktformular.com - Alle Rechte vorbehalten.</a>
</div>
</div>
<!-- Dieser Copyrighthinweis darf NICHT entfernt werden. -->
	
</body>
</html>
